@tool
extends EditorPlugin

var te: TextEdit
var draws := 0

func _enter_tree() -> void:
	get_editor_interface().get_script_editor().editor_script_changed.connect(_ed_script_changed.unbind(1))
	_ed_script_changed()

func _process(delta: float) -> void:
	#if draws > 1:
	print("%s draws!" % draws)
	draws = 0

func _ed_script_changed():
	print("script changed!")
	if te != null:
		te.draw.disconnect(_on_te_draw)
		print("disconnected!")
	te = null
	if get_editor_interface().get_script_editor() != null:
		var editor = get_editor_interface().get_script_editor().get_current_editor()
		if editor != null:
			te = editor.get_base_editor()
	if te != null:
		te.draw.connect(_on_te_draw)
		print("reconnected!")

func _on_te_draw():
	draws += 1
